<?
/*
DESENVOLVIDO POR PEDRO PAULO P. REIS
MSN: PEDROVGA@MSN.COM
FINALIDADE: COLETAR INFORMAES DE DISPOSITIVOS DE REDE
*/

/* ------------------------------------------------- */
//  C O N F I G U R A   E S
/* ------------------------------------------------- */

// COMUNIDADE - O NOME DA COMUNIDADE  DEFINIDO NAS CONFIGURAES DO DISPOSITIVO GERENCIVEL;
$con_comun = "public";

// IP DO DISPOSITIVO;
$con_ip = "192.168.0.1";

// TEMPO (MILESSEGUNDOS) DE ESPERA DE CADA REQUISIO SNMP;
$con_tempo = 200;

// QUANTIDADE DE TENTATIVAS;
$con_tenta = 3;


/* ------------------------------------------------- */
//  C A P T U R A N D O  D A D O S
/* ------------------------------------------------- */

$cap_nome = snmpget($con_ip, $con_comun, "system.sysName.0", $con_tempo, $con_tenta);
$cap_descr = snmpget($con_ip, $con_comun, "system.sysDescr.0", $con_tempo, $con_tenta);
$cap_ligad = snmpget($con_ip, $con_comun, "system.sysUpTime.00", $con_tempo, $con_tenta);

    // QTDE DE INTERFACES DO DISPOSITIVO;
    $cap_inter = snmpwalk($con_ip, $con_comun,"interfaces.ifTable.ifEntry.ifIndex", $con_tempo, $con_tenta);

    // DESCRIO DA INTERFACE;
    $cap_idesc = snmpwalk($con_ip, $con_comun,"interfaces.ifTable.ifEntry.ifDescr", $con_tempo, $con_tenta);

    // STATUS DA INTERFACE;
    $cap_statu = snmpwalk($con_ip,$con_comun,"interfaces.ifTable.ifEntry.ifAdminStatus", $con_tempo, $con_tenta);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
  <title>SNMP</title>
</head>

<body>
<h3>Captura informaes de dispositivos de rede gerenciveis atravs do protocolo SNMP</h3>
<h4>Endereo IP do dispositivo: <? echo $con_ip; ?> </h4>
<ul>
<li><b>Nome:</b> <? echo $cap_nome; ?></li>
<li><b>Descrio:</b> <? echo $cap_descr; ?></li>
<li><b>Tempo Ligado:</b> <? echo $cap_ligad; ?></li>
    <ul>
<?
    // CONTA O NMERO DE INTERFACES E MOSTRA RESULTADO;
    for ($conta=0; $conta<count($cap_inter); $conta++) {
        echo "      <li><b>Interface:</b> $cap_idesc[$conta] - $cap_statu[$conta]</li>\n";
    }
?>
    </ul>
</ul>
</body>
</html>